package com.cool.store.enums;

/**
 * @Author: young.yu
 * @Date: 2023-09-14  14:27
 * @Description:
 */
public enum SMSMsgEnum {

    INTERVIEW_APPOINTMENT_SUCCESS("邀约面谈成功", "", "SMS_465930408"),
    INTERVIEW_TIME_MODIFY("面谈时间修改", "", "SMS_467410046"),
    FIRST_INTERVIEW_APPOINTMENT_SUCCESS("一次面审待预约", "", "SMS_465915456"),
    FIRST_INTERVIEW_REMIND("一次面审1小时提醒", "", "SMS_465935440"),
    FIRST_INTERVIEW_TIME_MODIFY("一审时间修改", "","SMS_467515078"),
    FIRST_INTERVIEW_REAPPOINTMENT("一次面审重新预约", "", "SMS_465935442"),
    INTENTION_PAYMENT("意向金待缴费", "", "SMS_465950414"),
    INTENTION_PAYMENT_FAIL("意向金缴费失败", "", "SMS_465975442"),
    INTENTION_PAYMENT_PASS("签署意向协议OA审核完成后进入门店体验阶段", "", "SMS_467400057"),
    INTENTION_PAYMENT_SUCCESS("意向金审核通过", "", "SMS_465885415"),
    INTENTION_PROTOCOL_FAIL("意向协议审核未通过", "", "SMS_465910434"),
    SECOND_INTERVIEW_APPOINTMENT("二审面审待预约", "", "SMS_465950416"),
    SECOND_INTERVIEW_REMIND("二审前1小时提醒", "", "SMS_465925428"),
    SECOND_INTERVIEW_REAPPOINTMENT("二审重新预约", "", "SMS_465940421"),
    SECOND_INTERVIEW_SUCCESS("二审面审成功", "", "SMS_465980397"),
    SECOND_INTERVIEW_TIME_MODIFY("二审时间修改", "", "SMS_467365053"),
    SELECT_SUCCESS("选铺成功", "", "SMS_465950846"),
    RENT_CONTRACT_AUDIT_FAIL("租赁合同上传未通过", "", "SMS_465955429"),
    SHOP_EXPERIENCE("门店体验安排", "", "SMS_465905828"),
    SYS_BUILD_STORE_DONE("系统建店已完成", "", "SMS_465916277"),
    LICENSE_SUBMITTED("证照待提交", "", "SMS_465981218"),
    LICENSE_NOT_PASS("证照未通过", "", "SMS_465971250"),
    FRANCHISE_FEE_SUBMITTED("缴纳加盟费待缴纳", "", "SMS_465921311"),
    FRANCHISE_FEE_NOT_PASS("缴纳加盟费缴纳失败", "", "SMS_465896262"),
    DECORATION_MODEL_PAY("装修款待缴费", "","SMS_465961253"),
    THREE_ACCEPTANCE_WAIT("三方验收待验收","","SMS_465961257"),
    FIRST_ORDER("首批订货金待缴费","","SMS_467585281"),
    TRAINING_REGISTER_SUCCESS("培训登记中", "", "SMS_466035101"),
    TRAINING_ASSESSMENT_SUCCESS("员工培训已完成", "", "SMS_465901266"),

    ;

    private String title;
    private String content;
    private String templateCode;

    SMSMsgEnum(String title, String content, String templateCode) {
        this.title = title;
        this.content = content;
        this.templateCode = templateCode;
    }

    public String getTitle() {
        return title;
    }

    public String getContent() {
        return content;
    }

    public String getTemplateCode() {
        return templateCode;
    }
}
